;------------------------------------------------------------------------------
;  definitions.asm
;  - shared definitions across modules
;
;  Andrew Cooper
;  http://www.darkerview.com
;  Copyright 2017 all rights reserved
;
;  12Jan2017 A. Cooper
;  - initial version

;------------------------------------------------------------------------------
; hardware assignments

;port assignments
userPort	equ	LATB	;user IO pins (buttons and LED's)
userRead	equ	PORTB
userDir	equ	TRISB
dataPort	equ	LATD	;shared 8bit data bus
dataRead	equ	PORTD
dataDir	equ	TRISD
dispCtlPort	equ	LATF	;port for display control lines
dispCtlDir	equ	TRISF

;bits in user port
userUIO0	equ	0x0
userUIO1	equ	0x1
userUIO2	equ	0x2
userUIO3	equ	0x3
userLED1	equ	0x4
userLED2	equ	0x5
	
;bits in display control port
dispRS	equ	0x0
dispRW	equ	0x1
dispE	equ	0x2
dispRed	equ	0x5
dispGrn	equ	0x6
dispBlu	equ	0x7

;------------------------------------------------------------------------------
; flags in shared registers
	
;bits in userFlag
userPB1	equ	0x0	;user pushbutton 1 pressed flag
userPB2	equ	0x1	;user pushbutton 2 pressed flag
userEncUp	equ	0x2	;encoder count up flag
userEncDn	equ	0x3	;encoder count down flag
userLED1On	equ	0x4	;indicator LED 1 on
userLED1Fl	equ	0x5	;indicator LED 1 flash
userLED2On	equ	0x6	;indicator LED 2 on
userLED2Fl	equ	0x7	;indicator LED 2 flash
	
;bits within serFlag
serOpen	equ	0	;port is active and ready
serCmd	equ	1	;complete command received, <cr> found
serBufOv	equ	2	;buffer overflow
serBusy	equ	3	;port is busy, <CTS> not active

;bits in stateFlag
stateUp	equ	0x7	;update the display (1Hz)

;-- end defs.asm --------------------------------------------------------------